# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/cloud/networkconnectivity/v1alpha1/hub.proto for package 'Google.Cloud.NetworkConnectivity.V1alpha1'
# Original file comments:
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/cloud/networkconnectivity/v1alpha1/hub_pb'

module Google
  module Cloud
    module NetworkConnectivity
      module V1alpha1
        module HubService
          # Network Connectivity Center is a hub-and-spoke abstraction for
          # network connectivity management in Google Cloud. It reduces
          # operational complexity through a simple, centralized connectivity management
          # model.
          class Service

            include ::GRPC::GenericService

            self.marshal_class_method = :encode
            self.unmarshal_class_method = :decode
            self.service_name = 'google.cloud.networkconnectivity.v1alpha1.HubService'

            # Lists Hubs in a given project and location.
            rpc :ListHubs, ::Google::Cloud::NetworkConnectivity::V1alpha1::ListHubsRequest, ::Google::Cloud::NetworkConnectivity::V1alpha1::ListHubsResponse
            # Gets details of a single Hub.
            rpc :GetHub, ::Google::Cloud::NetworkConnectivity::V1alpha1::GetHubRequest, ::Google::Cloud::NetworkConnectivity::V1alpha1::Hub
            # Creates a new Hub in a given project and location.
            rpc :CreateHub, ::Google::Cloud::NetworkConnectivity::V1alpha1::CreateHubRequest, ::Google::Longrunning::Operation
            # Updates the parameters of a single Hub.
            rpc :UpdateHub, ::Google::Cloud::NetworkConnectivity::V1alpha1::UpdateHubRequest, ::Google::Longrunning::Operation
            # Deletes a single Hub.
            rpc :DeleteHub, ::Google::Cloud::NetworkConnectivity::V1alpha1::DeleteHubRequest, ::Google::Longrunning::Operation
            # Lists Spokes in a given project and location.
            rpc :ListSpokes, ::Google::Cloud::NetworkConnectivity::V1alpha1::ListSpokesRequest, ::Google::Cloud::NetworkConnectivity::V1alpha1::ListSpokesResponse
            # Gets details of a single Spoke.
            rpc :GetSpoke, ::Google::Cloud::NetworkConnectivity::V1alpha1::GetSpokeRequest, ::Google::Cloud::NetworkConnectivity::V1alpha1::Spoke
            # Creates a new Spoke in a given project and location.
            rpc :CreateSpoke, ::Google::Cloud::NetworkConnectivity::V1alpha1::CreateSpokeRequest, ::Google::Longrunning::Operation
            # Updates the parameters of a single Spoke.
            rpc :UpdateSpoke, ::Google::Cloud::NetworkConnectivity::V1alpha1::UpdateSpokeRequest, ::Google::Longrunning::Operation
            # Deletes a single Spoke.
            rpc :DeleteSpoke, ::Google::Cloud::NetworkConnectivity::V1alpha1::DeleteSpokeRequest, ::Google::Longrunning::Operation
          end

          Stub = Service.rpc_stub_class
        end
      end
    end
  end
end
